Skip to content

Modify a theft case

PATCH
/theft-case/{id}

Allow an external party to modify a theft case’s details. Validations:

  1. Validate if the client has permission to modify the theft case.
  2. Validate if the theft case is still unresolved.
  3. Object validation on the request body.

Vehicle characteristics will be overriden on its fieldname. Any existing characteristics-fields that are not present in this request are kept

id
required
string
object
police_report_number
string
vehicle_characteristics

List of characteristics of the vehicle. Free form and formatted as key=[value]. Only some fields are required, all other fields listed in these docs are highly recommended. Feel free to add more characteristics

Array<object>
object
vehicle_id

VIN or frame number of the vehicle. Also used to retrieve/validate insurance info if possible

Array<string>
license_plate

License plate of the vehicle if applicable

Array<string>
make

Brand name of the vehicle. Also used to retrieve/validate insurance info if possible

Array<string>
model

Model name of the vehicle

Array<string>
vehicle_name

Any given name of the vehicle, could be the make and model concatenated

Array<string>
color

US English name of the primary color of the vehicle

Array<string>

OK

object
theft_case_id
string
theft_case_name
string
status
object
major
string
minor
string
resolved_at
string format: date-time

Bad Request

Unauthorized

Forbidden

Not Found